## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.10

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# CountersTable.hpp File Reference

Include dependency graph for CountersTable.hpp:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Compounds

- struct Counter
    A class that does incremental counting for support of xsl:number. More...

## Defines

- #define XALAN_COUNTERSTABLE_HEADER_GUARD_1357924680

## Functions

- XALAN_USES_MEMORY_MANAGER (Counter) typedef XalanVector< Counter > CounterVectorTypeDecl
- XALAN_USES_MEMORY_MANAGER (ElemCounterVectorVectorTypeDecl) class CountersTable
    This is a table of counters, keyed by ElemNumber objects, each of which has a list of Counter objects. More...

## Variables

- XALAN_CPP_NAMESPACE_BEGIN
  class ElemNumber
    Id:
      CountersTable.hpp,v 1.7 2004/11/08 18:18:56 dmitryh Exp
    . More...

## Define Documentation

#define XALAN_COUNTERSTABLE_HEADER_GUARD_1357924680

Value:

## Function Documentation

XALAN_USES_MEMORY_MANAGER ( | ElemCounterVectorVectorTypeDecl )

| This is a table of counters, keyed by ElemNumber objects, each of which has a list of Counter objects. This really isn't a true table, it is more like a list of lists (there must be a technical term for that...).

XALAN_USES_MEMORY_MANAGER ( | Counter )

## Variable Documentation

XALAN_CPP_NAMESPACE_BEGIN class ElemNumber

Id:
  CountersTable.hpp,v 1.7 2004/11/08 18:18:56 dmitryh Exp

.

State:
  Exp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.10 Copyright © 1999-2004 The Apache Software Foundation. All Rights Reserved.